package acoes;

import java.awt.Robot;

import javafx.collections.FXCollections;
import javafx.collections.ObservableList;
import javafx.scene.Node;

public abstract class Acao {
	
	protected final ObservableList<Node> gui = FXCollections.observableArrayList();
	protected String status = "";
	
	/**Retorna true apenas se deve continuar executando a Sequncia.*/
	public abstract boolean executar(Robot robo);
	
	public ObservableList<Node> getGUI() {
		return gui ;
	}
	
	public String status() {
		return status;
	}
}
