package acoes;

import java.awt.Robot;

public class Teclar extends Acao {
	public enum TipoDoEvento {PRESSIONAR, LIBERAR, PRESSIONAR_LIBERAR}

	private int keycode;
	private TipoDoEvento tipoDoEvento;

	public Teclar(int keycode, TipoDoEvento tipoDoEvento) {
		this.keycode = keycode;
		this.tipoDoEvento = tipoDoEvento;
	}

	@Override
	public boolean executar(Robot robo) {
		switch (tipoDoEvento) {
		case PRESSIONAR:
			robo.keyPress(keycode);
			break;
		case LIBERAR: 
			robo.keyRelease(keycode);
			break;
		case PRESSIONAR_LIBERAR:
			robo.keyPress(keycode);
			robo.keyRelease(keycode);
			break;
		}
		return true;
	}

}
