package main;

import static org.junit.jupiter.api.Assertions.*;

import java.awt.Dimension;

import org.junit.jupiter.api.Test;

class TestBuscadorDeImagemDentroDeImagem {

	@Test
	final void testFilhoCabeDentroDoPai() {
		assertTrue(BuscadorDeImagemDentroDeImagem.filhoCabeDentroDoPai(new Dimension(50, 20), new Dimension(50, 20), 0, 0));
		assertFalse(BuscadorDeImagemDentroDeImagem.filhoCabeDentroDoPai(new Dimension(50, 20), new Dimension(50, 20), 1, 1));
		assertFalse(BuscadorDeImagemDentroDeImagem.filhoCabeDentroDoPai(new Dimension(50, 20), new Dimension(50, 20), 50, 20));
		assertFalse(BuscadorDeImagemDentroDeImagem.filhoCabeDentroDoPai(new Dimension(50, 20), new Dimension(50, 20), 0, 1));
		assertFalse(BuscadorDeImagemDentroDeImagem.filhoCabeDentroDoPai(new Dimension(50, 20), new Dimension(50, 20), 1, 0));
		
		assertTrue(BuscadorDeImagemDentroDeImagem.filhoCabeDentroDoPai(new Dimension(50, 20), new Dimension(49, 20), 0, 0));
		assertTrue(BuscadorDeImagemDentroDeImagem.filhoCabeDentroDoPai(new Dimension(50, 20), new Dimension(49, 20), 1, 0));
		assertFalse(BuscadorDeImagemDentroDeImagem.filhoCabeDentroDoPai(new Dimension(50, 20), new Dimension(49, 20), 2, 0));
		
		assertTrue(BuscadorDeImagemDentroDeImagem.filhoCabeDentroDoPai(new Dimension(50, 20), new Dimension(50, 19), 0, 0));
		assertTrue(BuscadorDeImagemDentroDeImagem.filhoCabeDentroDoPai(new Dimension(50, 20), new Dimension(50, 19), 0, 1));
		assertFalse(BuscadorDeImagemDentroDeImagem.filhoCabeDentroDoPai(new Dimension(50, 20), new Dimension(50, 19), 0, 2));
		
		assertTrue(BuscadorDeImagemDentroDeImagem.filhoCabeDentroDoPai(new Dimension(50, 20), new Dimension(49, 19), 0, 0));
		assertTrue(BuscadorDeImagemDentroDeImagem.filhoCabeDentroDoPai(new Dimension(50, 20), new Dimension(49, 19), 0, 1));
		assertTrue(BuscadorDeImagemDentroDeImagem.filhoCabeDentroDoPai(new Dimension(50, 20), new Dimension(49, 19), 1, 0));
		assertTrue(BuscadorDeImagemDentroDeImagem.filhoCabeDentroDoPai(new Dimension(50, 20), new Dimension(49, 19), 1, 1));
		assertFalse(BuscadorDeImagemDentroDeImagem.filhoCabeDentroDoPai(new Dimension(50, 20), new Dimension(49, 19), 0, 2));
		assertFalse(BuscadorDeImagemDentroDeImagem.filhoCabeDentroDoPai(new Dimension(50, 20), new Dimension(49, 19), 2, 0));
		assertFalse(BuscadorDeImagemDentroDeImagem.filhoCabeDentroDoPai(new Dimension(50, 20), new Dimension(49, 19), 2, 2));
	}

}
