package view;

import javafx.scene.paint.Color;
import javafx.scene.paint.Paint;
import javafx.scene.shape.Rectangle;
import javafx.scene.shape.StrokeType;

public class Retangulo extends Rectangle {

	public Retangulo(java.awt.Rectangle areaBuscada) {
		this(areaBuscada.x, areaBuscada.y, areaBuscada.width, areaBuscada.height);
	}

	public Retangulo(int x, int y, int width, int height) {
		super(x, y, width, height);
		setFill(Color.TRANSPARENT);
		setStroke(Paint.valueOf("#ff000055"));
		setStrokeType(StrokeType.OUTSIDE);
		setStrokeWidth(5);
	}

	public void acender() {
		setStroke(Paint.valueOf("#ff0000aa"));
	}

	public void apagar() {
		setStroke(Paint.valueOf("#ff000055"));
	}
}
